# Uses of Class
org.apache.sling.testing.clients.util.config.InstanceConfigException

Packages that use InstanceConfigException
Package
Description
org.apache.sling.testing.clients.osgi
OSGI testing tools.
org.apache.sling.testing.clients.util.config

## Uses of InstanceConfigException in org.apache.sling.testing.clients.osgi

Methods in org.apache.sling.testing.clients.osgi that throw InstanceConfigException
Modifier and Type
Method
Description
`InstanceConfig`
OsgiInstanceConfig.`restore()`
Restore the current OSGi configuration for the PID defined in the constructor
`InstanceConfig`
OsgiInstanceConfig.`save()`
Save the current OSGi configuration for the PID defined in the constructor
Constructors in org.apache.sling.testing.clients.osgi that throw InstanceConfigException
Modifier
Constructor
Description
``
`OsgiInstanceConfig(T client, String configPID)`

## Uses of InstanceConfigException in org.apache.sling.testing.clients.util.config

Methods in org.apache.sling.testing.clients.util.config that throw InstanceConfigException
Modifier and Type
Method
Description
`InstanceConfig`
InstanceConfig.`restore()`
Restores the saved status of the configuration
`InstanceConfig`
InstanceConfig.`save()`
Saves the current status of the configuration